#include<iostream>
#include<iomanip>
using namespace std;
int main(){
	double p[101],a[10000001],max=0,s,n;
	cin>>n;
	for(int i=0;i<n;i++){
		cin>>a[i]>>p[i];
	}
	for(int i=0;i<n;i++){
		if(p[0]<=p[i]){
			max=max+a[i];
		}
	}
	max=max*p[0]/100;
	for(int i=0;i<n;i++){
		s=0;
		for(int j=0;j<n;j++){
			if(p[i]<=p[j]){
				s=s+a[j];
			}
		}
		s=s*p[i]/100;
		if(max<s)max=s;
	}
	cout<<fixed<<setprecision(3)<<max<<"\n";

	return 0;
}